- name: zookeeper-install
  hosts: zookeeper
  become: yes

  tasks:

    - name: Set a hostname
      ansible.builtin.hostname:
        name: "{{ node_name }}"

    - name: Download Kafka
      get_url:
        url: https://dlcdn.apache.org/kafka/3.1.0/kafka_2.13-3.1.0.tgz
        dest: /opt/kafka.tgz
        mode: '0440'

    - name: Unarchive kafka
      ansible.builtin.unarchive:
        src: /opt/kafka.tgz
        dest: /opt/
        remote_src: yes

    - name: Update repositories cache and install java
      apt:
        name: default-jre
        update_cache: yes

    - name: Template a file to kafka dir
      ansible.builtin.template:
        src: zookeeper-config.j2
        dest: /opt/kafka_2.13-3.1.0/config/zookeeper.properties
        owner: root
        group: root
        mode: '0644'

    - name: Create tmp zookeeper directory
      shell: mkdir /tmp/zookeeper

    - name: Set Zookeeper ID
      shell: echo "{{ node_name[-1] }}" > /tmp/zookeeper/myid

    - name: Start Zookeeper
      shell: /opt/kafka_2.13-3.1.0/bin/zookeeper-server-start.sh -daemon /opt/kafka_2.13-3.1.0/config/zookeeper.properties
      throttle: 1